﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using static Simpa.Simpa_TreeView;

namespace tree_aspnet45_class
{
    public partial class Tree : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Tree_Populate();
        }
        void Tree_Populate()
        {
            DataSet dataSet = new DataSet();

            dataSet.Tables.Add("Table");
            dataSet.Tables[0].Columns.Add("ID", typeof(int));
            dataSet.Tables[0].Columns.Add("ParentID", typeof(int));
            dataSet.Tables[0].Columns.Add("Text", typeof(string));

            DataRow row = dataSet.Tables[0].NewRow();
            row["ID"] = 1;
            row["Text"] = "Parent 1";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 2;
            row["Text"] = "Parent 2";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 3;
            row["ParentID"] = 1;
            row["Text"] = "Child 1";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 4;
            row["ParentID"] = 1;
            row["Text"] = "Child 2";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 5;
            row["ParentID"] = 2;
            row["Text"] = "Child 3";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 6;
            row["ParentID"] = 2;
            row["Text"] = "Child 4";
            dataSet.Tables[0].Rows.Add(row);


            row = dataSet.Tables[0].NewRow();
            row["ID"] = 12;
            row["Text"] = "Parent 12";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 13;
            row["ParentID"] = 1;
            row["Text"] = "Child 1";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 14;
            row["ParentID"] = 13;
            row["Text"] = "Child 13";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 15;
            row["ParentID"] = 12;
            row["Text"] = "Child 12";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 16;
            row["ParentID"] = 52;
            row["Text"] = "Child 15";
            dataSet.Tables[0].Rows.Add(row);



            row = dataSet.Tables[0].NewRow();
            row["ID"] = 21;
            row["ParentID"] = 13;
            row["Text"] = "Child 13";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 22;
            row["ParentID"] = 21;
            row["Text"] = "Child 21";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 23;
            row["ParentID"] = 21;
            row["Text"] = "Child 21";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 24;
            row["ParentID"] = 22;
            row["Text"] = "Child 22";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 25;
            row["ParentID"] = 24;
            row["Text"] = "Child 24";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 26;
            row["ParentID"] = 25;
            row["Text"] = "Child 25";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 27;
            row["ParentID"] = 25;
            row["Text"] = "Child 25";
            dataSet.Tables[0].Rows.Add(row);


            row = dataSet.Tables[0].NewRow();
            row["ID"] = 28;
            row["ParentID"] = 27;
            row["Text"] = "Child 27";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 29;
            row["ParentID"] = 27;
            row["Text"] = "Child 27";
            dataSet.Tables[0].Rows.Add(row);

            row = dataSet.Tables[0].NewRow();
            row["ID"] = 31;
            row["ParentID"] = 21;
            row["Text"] = "Child 21";
            dataSet.Tables[0].Rows.Add(row);



            row = dataSet.Tables[0].NewRow();
            row["ID"] = 32;
            row["ParentID"] = 31;
            row["Text"] = "Child 32";
            dataSet.Tables[0].Rows.Add(row);



            row = dataSet.Tables[0].NewRow();
            row["ID"] = 33;
            row["ParentID"] = 31;
            row["Text"] = "Child 33";
            dataSet.Tables[0].Rows.Add(row);

            TreeView1.DataSource = new HierarchicalDataSet(dataSet, "ID", "ParentID");
            TreeView1.DataBind();
        }
    }
}